Subject: bug#31274: 27.0.50; xdisp.c:7575: Emacs fatal error: assertion failed: IT_BYTEPOS (*it) == CHAR_TO_BYTE (IT_CHARPOS (*it))

From: Noam Postavsky <[email-masked]>
Date: Fri, 04 May 2018 06:35:22 -0400

Stefan Monnier <[email-masked]> writes:

> I can reproduce the above assertion failure when I do the following:
>
>     % src/emacs -Q /usr/bin/perl -l .../elpa/packages/nhexl-mode/nhexl-mode.el -f nhexl-mode --eval '(setq word-wrap t)'
>     y
>     M->
>
> The `y` is because nhexl-mode prompts the user to convert the buffer
> to unibyte and is not directly relevant: you can use find-file-literally
> instead and the result is the same.

I couldn't reproduce the assert failure, and I didn't get the unibyte
prompt either.